# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(FileHandle.pm)
# END SourceDeps(oneline)
Summary:        A Tool for manipulating BibTeX data bases
Name:           BibTool
Version:        2.55
Release:        alt1_1
Group:          Publishing
Source:         ftp://ftp.dante.de/tex-archive/biblio/bibtex/utils/bibtool/BibTool-%{version}.tar.gz
URL:            http://www.gerd-neugebauer.de/software/TeX/BibTool/
Patch0:         BibTool-2.51-regex.patch
License:        GPL+
BuildRequires:  /usr/bin/latex texlive-latex-recommended
Source44: import.info

%description
BibTeX provides an easy to use means to integrate citations and
bibliographies into LaTeX documents. But the user is left alone with
the management of the BibTeX files. The program BibTool is intended to
fill this gap. BibTool allows the manipulation of BibTeX files which
goes beyond the possibilities --- and intentions --- of BibTeX.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .regex
sed -i -e 's%^#!/usr/local/bin/tclsh%#! %{_bindir}/tclsh%' Tcl/bibtool.tcl
sed -i -e 's%^#!/usr/local/bin/perl%#! %{_bindir}/perl%' Perl/bibtool.pl
# configure will recreate the directory, but only with config.h within
rm -rf regex-0.12

%build
%configure --libdir=%{_datadir}
sed -i -e 's#@kpathsea_lib_static@##' makefile
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
make doc
# Convert to utf-8
for file in INSTALL; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%install
make install INSTALLPREFIX=$RPM_BUILD_ROOT INSTALL='install -p -m 755'
make install-man INSTALLPREFIX=$RPM_BUILD_ROOT INSTALL='install -p -m 644'

%files
%doc Changes.tex COPYING INSTALL README THANKS
%doc Doc/bibtool.pdf Doc/ref_card.pdf
%doc Perl/ Tcl/
%{_bindir}/bibtool
%{_datadir}/BibTool/
%{_mandir}/man1/bibtool.1*

%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.55-alt1_1
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 2.51-alt1_2
generated with R::S::Convert 0.46

